Subject: bug#1305: Beeping

From: Stefan Monnier <[email-masked]>
Date: Thu, 26 Nov 2009 23:12:55 -0500

> Maybe the problem is a bit different. There is currently no dedicated
> mechanism in Emacs to go to command level. Instead a lot of functions
> throws an error when they want to go to command level.

> Could we not implement something like (command-level) akin to (top-level)?

I think there's a misunderstanding here.  Emacs usually tries to make
sure commands do *something*, because it' good to return feedback.
So when they don't, they often like to beep to indicate that they
couldn't do what they were asked to do.

I dislike the beep, so I always use the visual-bell instead.  I don't
think turning the bell into nothing at all is a good option.  I'd rather
try and address the reasons that prevent the visual-bell from being
the default.

        Stefan